package com.danding.yang800.Vo;

import java.util.List;

/**
 * Created by Administrator on 2018/1/5.
 */
public class OrderDetailVO {

    /**
     * success : true
     * result : {"orderSn":"WDO2017122100000482","packageSn":null,"packageId":null,"orderId":152,"storeId":19,"storeName":null,"status":3,"statusDesc":"已取消","totalExpPrice":0,"totalTax":0,"amount":376,"itemList":[{"userId":162,"storeId":19,"id":68,"itemName":"【4件装】花王纸尿裤S82","type":null,"imgUrl":"http://dante-img.oss-cn-hangzhou.aliyuncs.com/online/466904c46e77c1d920a4f1b9c05ee598.jpg","unitPrice":376,"supplyPrice":366,"quantity":1,"subTotal":376,"supplierSn":"S2017032300000002","depotSn":"D2017081000005656","orderSn":"WDO2017122100000482","packageSn":"WDP2017122100000483","skuSn":"S2017121515004349680000","tax":0,"income":null}],"payWay":0,"payWayDesc":"","payTime":"","addressVO":{"orderSn":"WDO2017122100000482","name":"李玉民","mobile":"18096634130","provinceName":"河北省","cityName":"唐山市","districtName":"***","address":"***","paperNumber":"342601199302071016"},"customerMessage":null,"expTime":"","totalGoodsPrice":376,"viewSn":"WDO2017122100000482","discountPrice":0,"safterSaleStatusCode":0,"showExpDetail":0}
     */

    private boolean success;
    private ResultBean result;

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public ResultBean getResult() {
        return result;
    }

    public void setResult(ResultBean result) {
        this.result = result;
    }

    public static class ResultBean {
        /**
         * orderSn : WDO2017122100000482
         * packageSn : null
         * packageId : null
         * orderId : 152
         * storeId : 19
         * storeName : null
         * status : 3
         * statusDesc : 已取消
         * totalExpPrice : 0.0
         * totalTax : 0.0
         * amount : 376.0
         * itemList : [{"userId":162,"storeId":19,"id":68,"itemName":"【4件装】花王纸尿裤S82","type":null,"imgUrl":"http://dante-img.oss-cn-hangzhou.aliyuncs.com/online/466904c46e77c1d920a4f1b9c05ee598.jpg","unitPrice":376,"supplyPrice":366,"quantity":1,"subTotal":376,"supplierSn":"S2017032300000002","depotSn":"D2017081000005656","orderSn":"WDO2017122100000482","packageSn":"WDP2017122100000483","skuSn":"S2017121515004349680000","tax":0,"income":null}]
         * payWay : 0
         * payWayDesc :
         * payTime :
         * addressVO : {"orderSn":"WDO2017122100000482","name":"李玉民","mobile":"18096634130","provinceName":"河北省","cityName":"唐山市","districtName":"***","address":"***","paperNumber":"342601199302071016"}
         * customerMessage : null
         * expTime :
         * totalGoodsPrice : 376.0
         * viewSn : WDO2017122100000482
         * discountPrice : 0.0
         * safterSaleStatusCode : 0
         * showExpDetail : 0
         */

        private String orderSn;
        private Object packageSn;
        private Object packageId;
        private int orderId;
        private int storeId;
        private Object storeName;
        private int status;
        private String statusDesc;
        private double totalExpPrice;
        private double totalTax;
        private double amount;
        private int payWay;
        private String payWayDesc;
        private String payTime;
        private AddressVOBean addressVO;
        private Object customerMessage;
        private String expTime;
        private double totalGoodsPrice;
        private String viewSn;
        private double discountPrice;
        private int safterSaleStatusCode;
        private int showExpDetail;
        private List<ItemListBean> itemList;

        public String getOrderSn() {
            return orderSn;
        }

        public void setOrderSn(String orderSn) {
            this.orderSn = orderSn;
        }

        public Object getPackageSn() {
            return packageSn;
        }

        public void setPackageSn(Object packageSn) {
            this.packageSn = packageSn;
        }

        public Object getPackageId() {
            return packageId;
        }

        public void setPackageId(Object packageId) {
            this.packageId = packageId;
        }

        public int getOrderId() {
            return orderId;
        }

        public void setOrderId(int orderId) {
            this.orderId = orderId;
        }

        public int getStoreId() {
            return storeId;
        }

        public void setStoreId(int storeId) {
            this.storeId = storeId;
        }

        public Object getStoreName() {
            return storeName;
        }

        public void setStoreName(Object storeName) {
            this.storeName = storeName;
        }

        public int getStatus() {
            return status;
        }

        public void setStatus(int status) {
            this.status = status;
        }

        public String getStatusDesc() {
            return statusDesc;
        }

        public void setStatusDesc(String statusDesc) {
            this.statusDesc = statusDesc;
        }

        public double getTotalExpPrice() {
            return totalExpPrice;
        }

        public void setTotalExpPrice(double totalExpPrice) {
            this.totalExpPrice = totalExpPrice;
        }

        public double getTotalTax() {
            return totalTax;
        }

        public void setTotalTax(double totalTax) {
            this.totalTax = totalTax;
        }

        public double getAmount() {
            return amount;
        }

        public void setAmount(double amount) {
            this.amount = amount;
        }

        public int getPayWay() {
            return payWay;
        }

        public void setPayWay(int payWay) {
            this.payWay = payWay;
        }

        public String getPayWayDesc() {
            return payWayDesc;
        }

        public void setPayWayDesc(String payWayDesc) {
            this.payWayDesc = payWayDesc;
        }

        public String getPayTime() {
            return payTime;
        }

        public void setPayTime(String payTime) {
            this.payTime = payTime;
        }

        public AddressVOBean getAddressVO() {
            return addressVO;
        }

        public void setAddressVO(AddressVOBean addressVO) {
            this.addressVO = addressVO;
        }

        public Object getCustomerMessage() {
            return customerMessage;
        }

        public void setCustomerMessage(Object customerMessage) {
            this.customerMessage = customerMessage;
        }

        public String getExpTime() {
            return expTime;
        }

        public void setExpTime(String expTime) {
            this.expTime = expTime;
        }

        public double getTotalGoodsPrice() {
            return totalGoodsPrice;
        }

        public void setTotalGoodsPrice(double totalGoodsPrice) {
            this.totalGoodsPrice = totalGoodsPrice;
        }

        public String getViewSn() {
            return viewSn;
        }

        public void setViewSn(String viewSn) {
            this.viewSn = viewSn;
        }

        public double getDiscountPrice() {
            return discountPrice;
        }

        public void setDiscountPrice(double discountPrice) {
            this.discountPrice = discountPrice;
        }

        public int getSafterSaleStatusCode() {
            return safterSaleStatusCode;
        }

        public void setSafterSaleStatusCode(int safterSaleStatusCode) {
            this.safterSaleStatusCode = safterSaleStatusCode;
        }

        public int getShowExpDetail() {
            return showExpDetail;
        }

        public void setShowExpDetail(int showExpDetail) {
            this.showExpDetail = showExpDetail;
        }

        public List<ItemListBean> getItemList() {
            return itemList;
        }

        public void setItemList(List<ItemListBean> itemList) {
            this.itemList = itemList;
        }

        public static class AddressVOBean {
            /**
             * orderSn : WDO2017122100000482
             * name : 李玉民
             * mobile : 18096634130
             * provinceName : 河北省
             * cityName : 唐山市
             * districtName : ***
             * address : ***
             * paperNumber : 342601199302071016
             */

            private String orderSn;
            private String name;
            private String mobile;
            private String provinceName;
            private String cityName;
            private String districtName;
            private String address;
            private String paperNumber;

            public String getOrderSn() {
                return orderSn;
            }

            public void setOrderSn(String orderSn) {
                this.orderSn = orderSn;
            }

            public String getName() {
                return name;
            }

            public void setName(String name) {
                this.name = name;
            }

            public String getMobile() {
                return mobile;
            }

            public void setMobile(String mobile) {
                this.mobile = mobile;
            }

            public String getProvinceName() {
                return provinceName;
            }

            public void setProvinceName(String provinceName) {
                this.provinceName = provinceName;
            }

            public String getCityName() {
                return cityName;
            }

            public void setCityName(String cityName) {
                this.cityName = cityName;
            }

            public String getDistrictName() {
                return districtName;
            }

            public void setDistrictName(String districtName) {
                this.districtName = districtName;
            }

            public String getAddress() {
                return address;
            }

            public void setAddress(String address) {
                this.address = address;
            }

            public String getPaperNumber() {
                return paperNumber;
            }

            public void setPaperNumber(String paperNumber) {
                this.paperNumber = paperNumber;
            }
        }

        public static class ItemListBean {
            /**
             * userId : 162
             * storeId : 19
             * id : 68
             * itemName : 【4件装】花王纸尿裤S82
             * type : null
             * imgUrl : http://dante-img.oss-cn-hangzhou.aliyuncs.com/online/466904c46e77c1d920a4f1b9c05ee598.jpg
             * unitPrice : 376.0
             * supplyPrice : 366.0
             * quantity : 1
             * subTotal : 376.0
             * supplierSn : S2017032300000002
             * depotSn : D2017081000005656
             * orderSn : WDO2017122100000482
             * packageSn : WDP2017122100000483
             * skuSn : S2017121515004349680000
             * tax : 0.0
             * income : null
             */

            private int userId;
            private int storeId;
            private int id;
            private String itemName;
            private Object type;
            private String imgUrl;
            private double unitPrice;
            private double supplyPrice;
            private int quantity;
            private double subTotal;
            private String supplierSn;
            private String depotSn;
            private String orderSn;
            private String packageSn;
            private String skuSn;
            private double tax;
            private Object income;

            public int getUserId() {
                return userId;
            }

            public void setUserId(int userId) {
                this.userId = userId;
            }

            public int getStoreId() {
                return storeId;
            }

            public void setStoreId(int storeId) {
                this.storeId = storeId;
            }

            public int getId() {
                return id;
            }

            public void setId(int id) {
                this.id = id;
            }

            public String getItemName() {
                return itemName;
            }

            public void setItemName(String itemName) {
                this.itemName = itemName;
            }

            public Object getType() {
                return type;
            }

            public void setType(Object type) {
                this.type = type;
            }

            public String getImgUrl() {
                return imgUrl;
            }

            public void setImgUrl(String imgUrl) {
                this.imgUrl = imgUrl;
            }

            public double getUnitPrice() {
                return unitPrice;
            }

            public void setUnitPrice(double unitPrice) {
                this.unitPrice = unitPrice;
            }

            public double getSupplyPrice() {
                return supplyPrice;
            }

            public void setSupplyPrice(double supplyPrice) {
                this.supplyPrice = supplyPrice;
            }

            public int getQuantity() {
                return quantity;
            }

            public void setQuantity(int quantity) {
                this.quantity = quantity;
            }

            public double getSubTotal() {
                return subTotal;
            }

            public void setSubTotal(double subTotal) {
                this.subTotal = subTotal;
            }

            public String getSupplierSn() {
                return supplierSn;
            }

            public void setSupplierSn(String supplierSn) {
                this.supplierSn = supplierSn;
            }

            public String getDepotSn() {
                return depotSn;
            }

            public void setDepotSn(String depotSn) {
                this.depotSn = depotSn;
            }

            public String getOrderSn() {
                return orderSn;
            }

            public void setOrderSn(String orderSn) {
                this.orderSn = orderSn;
            }

            public String getPackageSn() {
                return packageSn;
            }

            public void setPackageSn(String packageSn) {
                this.packageSn = packageSn;
            }

            public String getSkuSn() {
                return skuSn;
            }

            public void setSkuSn(String skuSn) {
                this.skuSn = skuSn;
            }

            public double getTax() {
                return tax;
            }

            public void setTax(double tax) {
                this.tax = tax;
            }

            public Object getIncome() {
                return income;
            }

            public void setIncome(Object income) {
                this.income = income;
            }
        }
    }
}
